## org.eclipse.emf.ecore
Interface EValidator.ValidationDelegate.Registry

All Superinterfaces:
  java.util.Map<java.lang.String,java.lang.Object>

All Known Implementing Classes:
  ValidationDelegateRegistryImpl

Enclosing interface:
  EValidator.ValidationDelegate

    public static interface EValidator.ValidationDelegate.Registry

extends java.util.Map<java.lang.String,java.lang.Object>

A map from `String` to `EValidator.ValidationDelegate`.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static EValidator.ValidationDelegate.Registry` `INSTANCE` The global instance of a validation delegate registry.

Method Summary
`EValidator.ValidationDelegate` `getValidationDelegate(java.lang.String uri)` Looks up the validation delegate in the map.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### INSTANCE

    static final EValidator.ValidationDelegate.Registry INSTANCE

  The global instance of a validation delegate registry.

Method Detail

### getValidationDelegate

    EValidator.ValidationDelegate getValidationDelegate(java.lang.String uri)

  Looks up the validation delegate in the map.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.